# List Custom Fields Returns all custom fields defined for your account. Call this endpoint before creating or updating items with custom field values to obtain the correct custom_attribute_id for each field. Custom fields can be of types: text, number, date, datetime, scanner (barcode/QR). Endpoint: GET /api/v1/custom_fields Security: BearerAuth ## Query parameters: - `per_page` (number) Page size | Defaults to 10 Example: "2" - `page` (number) Page number | Defaults to 1 Example: "1" ## Response 200 fields (application/json): - `data` (array) - `data.id` (number, required) - `data.name` (string, required) - `data.type` (string, required) - `data.applies_to` (string, required) - `data.created_at` (string, required) - `data.updated_at` (string, required) - `meta` (object) - `meta.page` (number) - `meta.next_page_url` (string) - `meta.total_pages` (number) - `meta.total_count` (number) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string)